# stretch.cpp File Reference

Implementation of the "Stretch" layer. More...

`#include "stretch.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/transform.h>`

## Defines

#define | SYNFIG_NO_ANGLE

## Functions

| SYNFIG_LAYER_INIT (Layer_Stretch)
| SYNFIG_LAYER_SET_NAME (Layer_Stretch,"stretch")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_Stretch, N_("Stretch"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_Stretch, N_("Distortions"))
| SYNFIG_LAYER_SET_VERSION (Layer_Stretch,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Layer_Stretch,"$Id$")

## Detailed Description

Implementation of the "Stretch" layer.

$Id$

## Define Documentation

#define SYNFIG_NO_ANGLE

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_Stretch |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_Stretch | ,
|  | "stretch" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_Stretch | ,
|  | N_("Stretch") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_Stretch | ,
|  | N_("Distortions") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_Stretch | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_Stretch | ,
|  | "$Id$" |  |
| ) |  |  |